Name:           haddock09
Version:        0.9
Release:        3%{?dist}
Summary:        Haskell documentation tool for annotated source code

Group:          Development/Tools
License:        BSD
URL:            http://www.haskell.org/haddock/
Source0:        http://www.haskell.org/haddock/dist/haddock-%{version}.tar.gz
Patch0:         haddock-O2.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExcludeArch:    alpha ppc64

BuildRequires:  ghc >= 6.8.1
BuildRequires:  coreutils libxslt docbook-style-xsl autoconf

%description
Haddock is a tool for automatically generating hyperlinked documentation from
annotated Haskell source code. It is primary intended for documenting
libraries, but it is useful for any kind of Haskell code.

Haddock lets you write documentation annotations next to the definitions of
functions and types in the source code in a lightweight syntax.


# don't generate an empty debuginfo subpackage
%define debug_package %{nil}


%prep
%setup -q -n haddock-%{version}

%patch0 -p1 -b .O2

%build
runhaskell Setup.lhs configure --prefix=%{_prefix} --libdir=%{_libdir} \
  --datadir=%{_datadir} --docdir=%{_docdir} --htmldir=%{_docdir}
runhaskell Setup.lhs build
cd doc
test -f configure || autoreconf
sh configure
make html

%install
rm -rf ${RPM_BUILD_ROOT}
runhaskell Setup.lhs copy --destdir=${RPM_BUILD_ROOT}
cd ${RPM_BUILD_ROOT}
rm .%{_docdir}/LICENSE
mv .%{_bindir}/haddock .%{_bindir}/haddock-%{version}
strip .%{_bindir}/haddock-%{version}
chmod 755 .%{_bindir}/haddock-%{version}

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES LICENSE README TODO
%doc doc/haddock/*
%{_bindir}/haddock-%{version}
%{_datadir}/haddock-%{version}


%changelog
* Thu Jun 12 2008 Bryan O'Sullivan <bos@serpentine.com> - 0.9-3
- Revive package as haddock09

* Thu Dec 20 2007 Bryan O'Sullivan <bos@serpentine.com> - 0.9-2
- Exclude alpha, ppc64

* Thu Dec 20 2007 Bryan O'Sullivan <bos@serpentine.com> - 0.9-1
- update to 0.9

* Thu Aug 16 2007 Jens Petersen <petersen@redhat.com>
- update License field

* Fri Nov  3 2006 Jens Petersen <petersen@redhat.com> - 0.8-1
- update to 0.8
- use new cabal build system
- update file list
- buildrequire autoconf

* Thu Sep 28 2006 Jens Petersen <petersen@redhat.com> - 0.7-4
- rebuild for FC6

* Fri Jun 30 2006 Jens Petersen <petersen@redhat.com> - 0.7-3
- set selinux unconfined_execmem_exec_t context to allow running under
  targeted policy (#195821)

* Thu Mar  2 2006 Jens Petersen <petersen@redhat.com> - 0.7-2
- rebuild

* Tue Sep 27 2005 Jens Petersen <petersen@redhat.com> - 0.7-1
- cleanup for Fedora Extras (Gérard Milmeister)
  - drop versioned binary
  - set standard buildroot
- do not create debuginfo
- improve the description

* Mon Aug 22 2005 Jens Petersen <petersen@redhat.com>
- 0.7 release

* Tue Jul  5 2005 Jens Petersen <petersen@haskell.org> - 0.7-0.20050705
- update to cvs snapshot
  - update filelist
  - install data files in a subdir

* Wed Dec 15 2004 Jens Petersen <petersen@haskell.org>
- spec file cleanup
- only generate docs in html

* Sat Oct 11 2003 Sven Panne <sven_panne@yahoo.com>
- Include architecture-independent files in file list

* Tue Aug 26 2003 Sven Panne <sven_panne@yahoo.com>
- Use autoreconf instead of autoconf

* Mon Jul 28 2003 Sven Panne <sven_panne@yahoo.com>
- Updated to version 0.5
- Automagically generate configure if it is not there

* Tue Jul 23 2002 Simon Marlow <simonmar@microsoft.com>
- Updated to version 0.4

* Sun Jun 23 2002 Sven Panne <sven_panne@yahoo.com>
- Cleaned up build root handling and added more docs

* Wed May 01 2002 Tom Moertel <tom-rpms@moertel.com>
- Created spec file
